> ## Documentation Index
> Fetch the complete documentation index at: https://docs.acedata.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Wan 動画生成 API

> Wan API guide - Ace Data Cloud

`POST https://api.acedata.cloud/wan/videos` は、既存の Wan 2.6 モデルと `wan3.0-video` の両方をサポートしています。Wan 3 は `media` に基づいて、テキスト、開始・終了フレーム、または参照素材モードを自動識別します。

## Wan 3 テキストから動画生成

```bash theme={null}
curl -X POST 'https://api.acedata.cloud/wan/videos' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
    "model": "wan3.0-video",
    "prompt": "A paper boat drifting through a neon city at night",
    "duration": 5,
    "resolution": "720P",
    "ratio": "16:9",
    "audio": true,
    "async": true
  }'
```

Wan 3 は、2～30 秒の整数または `-1` のスマートな長さをサポートし、解像度は `480P`、`720P`、`1080P` です。

## マルチメディア参照

```json theme={null}
{
  "model": "wan3.0-video",
  "prompt": "Create a cinematic product reveal",
  "media": [
    {"type":"first_frame","url":"https://cdn.acedata.cloud/assets/examples/qwen-image/40d5c76b-2f84-4b04-9ea0-b706417ae622-bac6a9e9de22.png"},
    {"type":"last_frame","url":"https://cdn.acedata.cloud/assets/examples/qwen-image/7a5a490c-1d60-4498-a362-a9334148f460-a2a2c1afbf39.png"}
  ],
  "duration": 8,
  "resolution": "1080P",
  "ratio": "16:9",
  "async": true
}
```

`media.type` は以下をサポートします：

* `first_frame` / `last_frame`
* `reference_image`
* `reference_video`
* `reference_audio`
* `file` / `link`

開始・終了フレームモードと参照素材モードは混在できません。参照動画は、実際の入力動画の秒数と成功した出力動画の秒数を合算して最終的に課金されます。テキスト、画像、音声の入力では動画秒数は増加しません。

## 公式標準価格

| 解像度 | 価格 |
| - | -: |
| 480P | \$0.05/秒 |
| 720P | \$0.10/秒 |
| 1080P | \$0.20/秒 |

## Wan 2.6 互換性

既存の `wan2.6-t2v`、`wan2.6-i2v`、`wan2.6-r2v` および flash バリアントは、引き続き `action`、`image_url`、`reference_video_urls` などのパラメータを使用し、呼び出しパスは変更されません。

## 非同期と結果

`async: true` を設定すると、直ちに `task_id` を取得でき、`/wan/tasks` を通じて最終状態を取得します。成功した動画は AceDataCloud CDN に転送・保存され、レスポンス内で実際の usage と cost が返されます。


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.